LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Macros | Functions
gui.c File Reference
`#include "main.h"`
`#include "callbacks.h"`
`#include "interface.h"`
`#include "effects.h"`
`#include "support.h"`
`#include "rfx-builder.h"`
`#include "paramwindow.h"`
`#include "resample.h"`
`#include "rte_window.h"`
`#include "stream.h"`
`#include "startup.h"`
`#include "ce_thumbs.h"`

## Macros
#define | TEST_CE_THUMBS 0

## Functions
void | load_theme (void)
void | add_message_scroller (LiVESWidget *conter)
void | make_custom_submenus (void)
void | create_LiVES (void)
void | set_interactive (boolean interactive)
void | fade_background (void)
void | unfade_background (void)
void | fullscreen_internal (void)
void | block_expose (void)
void | unblock_expose (void)
void | make_preview_box (void)
void | enable_record (void)
void | toggle_record (void)
void | disable_record (void)
void | play_window_set_title (void)
void | resize_widgets_for_monitor (boolean get_play_times)
void | make_play_window (void)
void | resize_play_window (void)
void | kill_play_window (void)
void | add_to_playframe (void)
LIVES_INLINE void | frame_size_update (void)
char * | get_menu_name (lives_clip_t *sfile)
void | add_to_clipmenu (void)
void | remove_from_clipmenu (void)
void | splash_init (void)
void | splash_msg (const char *msg, double pct)
void | splash_end (void)

## Macro Definition Documentation

#define TEST_CE_THUMBS 0

## Function Documentation

void add_message_scroller | ( | LiVESWidget * | conter | ) |

void add_to_clipmenu | ( | void |  | ) |

void add_to_playframe | ( | void |  | ) |

void block_expose | ( | void |  | ) |

void create_LiVES | ( | void |  | ) |

void disable_record | ( | void |  | ) |

void enable_record | ( | void |  | ) |

void fade_background | ( | void |  | ) |

LIVES_INLINE void frame_size_update | ( | void |  | ) |

void fullscreen_internal | ( | void |  | ) |

char* get_menu_name | ( | lives_clip_t * | sfile | ) |

void kill_play_window | ( | void |  | ) |

void load_theme | ( | void |  | ) |

void make_custom_submenus | ( | void |  | ) |

void make_play_window | ( | void |  | ) |

void make_preview_box | ( | void |  | ) |

void play_window_set_title | ( | void |  | ) |

void remove_from_clipmenu | ( | void |  | ) |

void resize_play_window | ( | void |  | ) |

void resize_widgets_for_monitor | ( | boolean | get_play_times | ) |

void set_interactive | ( | boolean | interactive | ) |

void splash_end | ( | void |  | ) |

void splash_init | ( | void |  | ) |

void splash_msg | ( | const char * | msg,
|  | double | pct
| ) |  |

void toggle_record | ( | void |  | ) |

void unblock_expose | ( | void |  | ) |

void unfade_background | ( | void |  | ) |